## org.apache.lucene.analysis.th
Class ThaiAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ReusableAnalyzerBase
              org.apache.lucene.analysis.th.ThaiAnalyzer

All Implemented Interfaces:
  Closeable

    public final class ThaiAnalyzer

extends org.apache.lucene.analysis.ReusableAnalyzerBase

`Analyzer` for Thai language. It uses `BreakIterator` to break words.

Version:
  0.2

  NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents`

Constructor Summary
`ThaiAnalyzer(org.apache.lucene.util.Version matchVersion)`

Method Summary
`protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents` `createComponents(String fieldName, Reader reader)` Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

Methods inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`initReader, reusableTokenStream, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThaiAnalyzer

    public ThaiAnalyzer(org.apache.lucene.util.Version matchVersion)

Method Detail

### createComponents

    protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents createComponents(String fieldName,
                                                                                                     Reader reader)

  Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

  Specified by:
    `createComponents` in class `org.apache.lucene.analysis.ReusableAnalyzerBase`
  Returns:
    `ReusableAnalyzerBase.TokenStreamComponents` built from a `StandardTokenizer` filtered with `StandardFilter`, `LowerCaseFilter`, `ThaiWordFilter`, and `StopFilter`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.